commit b3e36bd9e5c72f4d8045b13ec066826545560361
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 30 13:22:09 2022 -0700

    bitmap 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 13ac2639c3c88bb6c7ecaae541941203e6344ad0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 9 16:26:14 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b8090d0f5bee66ceb12cee2b63425efd74ad4610
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 9 16:11:45 2022 -0700

    atobm: close memory leaks
    
    Fix leaks reported by Oracle Parfait (though they don't last long,
    since the program exits immediately after leaking):
    
    Error: Memory leak
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer pointer allocated with _new_scan_list(bytes_per_scanline)
            at line 260 of atobm.c in function 'doit'.
            calloc called at line 180 in function '_new_scan_list'
            Allocated value returned to caller at line 193
              pointer allocated at line 250 in function 'doit' with _new_scan_list(bytes_per_scanline)
              pointer leaks when (i + 1) >= <unknown> at line 275
                  and buf[0] != 0 at line 225.
    
    Error: Memory leak
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer pointer allocated with _new_scan_list(bytes_per_scanline)
            at line 316 of atobm.c in function 'doit'.
            calloc called at line 180 in function '_new_scan_list'
            Allocated value returned to caller at line 193
              pointer allocated at line 250 in function 'doit' with _new_scan_list(bytes_per_scanline)
              pointer leaks when slist != NULL at line 252
                  and (i + 1) >= <unknown> at line 275
                  and (i + 1) >= <unknown> at line 303.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c6b48ffeb65182bf5989df299c6a7fcccb3cb09a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 9 15:56:57 2022 -0700

    atobm: accept single character lines
    
    Fixes round-trip-test failure on hlines2
    
    The previous behavior has been present since the initial checkin of the
    code to the X Consortium monolith, but no explanation was given for why
    a single-character line should be skipped.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa7241ac10bf9b47c3d20d557fdca0aa0a468484
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 9 15:42:10 2022 -0700

    test: add round-trip-test for atobm & bmtoa
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7c4196d3218d1afa73c930577beeb579c1e87a38
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 9 12:44:34 2022 -0700

    Move bitmaps into a new bitmaps directory
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7886e0b78ba317e02d8496fb83432ee9274f7887
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 14:35:15 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 14181d27e8ceb6c25051d63698fb34cf28911a5e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 14:35:06 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e0adae1b8e19f9bedc4cb1a3798736812cb490a6
Author: Jeremy Mates <jeremy.mates@gmail.com>
Date:   Fri May 14 11:34:42 2021 -0400

    bitmap: Fix a crash with underspecified dimensions
    
    From the reporter on #xorg-devel:
    
    -!- thrig [thrig@unaffilaited/thrig] has joined #xorg-devel
    <thrig> where does the code for bitmap live? there's a crash (or who
            knows on some platforms) if you `bitmap -size 42`

commit f0b589b685cc3d9f684d9423250f798a8f93142f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 23 10:20:54 2020 -0700

    Fix spelling/wording issues
    
    Found by using:
      codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3a2473affe1e15d6e8d252db7ec5e22fd1683978
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 1 19:27:15 2019 -0700

    Use _CONST_X_STRING to make libXt declare String as const char *
    
    Clears 169 out of 240 -Wdiscarded-qualifiers warnings from gcc 7.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6dcc9c8064baeb2f9d853309123cd9736809a4fd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 10 13:01:27 2019 -0800

    bitmap 1.0.9
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d0e0bdea390b0640c5b6345dcd6b7fd6f2d0231e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 16:45:12 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b674422cc1aa98875fc0d740aab118fcd42b94d0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 19:40:13 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 99b0d80d4cf8d4b2365d6f7785296ae3cfb0887a
Author: Walter Harms <wharms@bfs.de>
Date:   Sun Sep 24 16:19:40 2017 +0200

    same time ago the user Frederic Baldit complained (on xorg) that
    the ability to set single dots in the programm Bitmap depend on the state
    of num_lock. This is a long standing bug that affect all versions
    of bitmap.
    
    the problem was that the corresponding function was erroneously checking
    event->xbutton.state. Removing that check solved the problem for the user.
    
    Signed-off-by: wharms <wharms@bfs.de>

commit f9174d18c950ca998084da6d68903a32cae72d84
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 24c90b9fa17236caf2c946bcfff4e6bc441a82c3
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 37d922c37a4de2ab29bdd13d55eabd369f0616dd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 2f5eae70cd2e9c1e09dcbd8a2a58eaf58207fe00
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 16 21:57:03 2015 -0800

    bitmap 1.0.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dacae58710f7033d5295c50cf6262783350e938d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 29 18:28:00 2014 -0800

    Stop memory leak in XmuWriteBitmapDataToFile()
    
    StripFilename() allocates a new string for its result, so after we're
    done with it, free it instead of just losing the pointer to it.
    
    Fixes errors found by Oracle Parfait 1.5.1 bug checking tool:
    
    Error: Memory leak (CWE 401)
       Memory leak of pointer basename allocated with StripFilename(filename)
            at line 712 of Bitmap.c in function 'XmuWriteBitmapDataToFile'.
              basename allocated at line 691 with StripFilename(filename).
              basename leaks when i >= data_length at line 702.
    Error: Memory leak (CWE 401)
       Memory leak of pointer basename allocated with StripFilename(filename)
            at line 715 of Bitmap.c in function 'XmuWriteBitmapDataToFile'.
              basename allocated at line 691 with StripFilename(filename).
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8df1a843a3a9f92399113688a350873a141bf995
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 29 18:15:57 2014 -0800

    Stop memory leaks from XtNewString(StripFilename(filename))
    
    StripFilename() already allocates a new string for its result,
    we don't need to duplicate it and then lose the pointer to the
    first one.
    
    Fixes errors found by Oracle Parfait 1.5.1 bug checking tool:
    
    Error: Memory leak (CWE 401)
       Memory leak of pointer pointer allocated with StripFilename(filename)
            at line 1119 of Bitmap.c in function 'BWReadFile'.
              pointer allocated at line 1106 with StripFilename(filename).
              pointer leaks when StripFilename(filename) != NULL at line 1106.
    Error: Memory leak (CWE 401)
       Memory leak of pointer pointer allocated with StripFilename(filename)
            at line 1119 of Bitmap.c in function 'BWReadFile'.
              pointer allocated at line 1106 with StripFilename(filename).
    
    Error: Memory leak (CWE 401)
       Memory leak of pointer pointer allocated with StripFilename(filename)
            at line 1222 of Bitmap.c in function 'BWWriteFile'.
              pointer allocated at line 1202 with StripFilename(filename).
              pointer leaks when StripFilename(filename) != NULL at line 1202.
    Error: Memory leak (CWE 401)
       Memory leak of pointer pointer allocated with StripFilename(filename)
            at line 1222 of Bitmap.c in function 'BWWriteFile'.
              pointer allocated at line 1202 with StripFilename(filename).
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a0db0f6c7996b282aa9027d3b670597d88fe3353
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:14 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8fb1efccb5f24eab51cefafedb1a5a60217db35f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:13 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d0911d130b870da0951b56f5103c6b4dfb9eeb28
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Wed Jan 1 23:02:48 2014 -0800

    Use '& 7' instead '% 8' to silence clang analyzer warning
    
    Graphics.c:569:10: warning: The result of the '<<' expression is undefined
            while (!QueryFlood(BW, x, y, value) && (x < x_right))
                    ^~~~~~~~~~~~~~~~~~~~~~~~~~~
    Graphics.c:470:7: note: expanded from macro 'QueryFlood'
        ((GetBit(BW->bitmap.image, x, y) !=\
          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    Graphics.c:66:9: note: expanded from macro 'GetBit'
                (1 << ((x) % 8))) ? 1 : 0))
                 ~~^~~~~~~~~~~~
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit e3fe79502a4a1b0f0b148659948d541ce26ed7bf
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Wed Jan 1 22:58:23 2014 -0800

    Demacro modernization of NewSList to plug a memory leak during error handling
    
    atobm.c:248:6: warning: Potential leak of memory pointed to by 'slist'
                NewSList ();
                ^~~~~~~~~~~
    atobm.c:209:3: note: expanded from macro 'NewSList'
                    fprintf (stderr, "%s:  unable to allocate char array\n", \
                    ^~~~~~~
    atobm.c:259:6: warning: Potential leak of memory pointed to by 'old'
                NewSList ();
                ^~~~~~~~~~~
    atobm.c:209:3: note: expanded from macro 'NewSList'
                    fprintf (stderr, "%s:  unable to allocate char array\n", \
                    ^~~~~~~
    atobm.c:259:6: warning: Potential leak of memory pointed to by 'slist'
                NewSList ();
                ^~~~~~~~~~~
    atobm.c:209:3: note: expanded from macro 'NewSList'
                    fprintf (stderr, "%s:  unable to allocate char array\n", \
                    ^~~~~~~
    3 warnings generated.
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit a59538d5d57bd2f8b2101e398a97fe8466b8eef7
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Wed Jan 1 22:43:26 2014 -0800

    Silence -Wbad-function-cast
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit e7086abb4576a777a4b0aff8553047077cdd08ce
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Wed Jan 1 22:29:45 2014 -0800

    Avoid shadow declarations
    
    Bitmap.c:906:17: warning: declaration shadows a local variable [-Wshadow]
            unsigned char *image_data;
                           ^
    Bitmap.c:799:11: note: previous declaration is here
        char *image_data, *buffer_data;
              ^
    Bitmap.c:907:8: warning: declaration shadows a local variable [-Wshadow]
            char *buffer_data;
                  ^
    Bitmap.c:799:24: note: previous declaration is here
        char *image_data, *buffer_data;
                           ^
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 1e236565459d10c7ad85ebed285d2acfc4b15b69
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Wed Jan 1 22:27:36 2014 -0800

    assert to avoid a NULL dereference
    
    Bitmap.c:1246:8: warning: Dereference of null pointer
            **str = '\0';
            ~~~~~~^~~~~~
    1 warning generated.
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 15d326027827c168511f923e72c64e2131515e19
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 4 23:14:22 2013 -0800

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 64bc2b97d408d6fea16716e37f7b5ff1661d57fd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Oct 25 21:51:37 2013 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Fix Automake warning: AC_OUTPUT should be used without arguments.
    www.gnu.org/software/autoconf/manual/autoconf.html#Configuration-Files
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a78fc882fac9a3334a77744be4c617b51997a5bb
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Thu Jun 6 14:24:08 2013 -0400

    Use table markup in preference to various low-level constructions.

commit 10584a7e5f476c5adb5ec6de9f0b519380abd6df
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 17 21:12:44 2013 -0700

    bitmap 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d028190d036f25472dba587863322a8fe03dda95
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 21 15:02:52 2013 -0700

    Mark usage() functions as noreturn, as suggested by gcc
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f36566239cc9119882a36273c3eefb90962d6ee5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 21 14:52:01 2013 -0700

    Simplify & unify error path between mktemp & mkstemp versions
    
    This also now catches errors when fopen() or fdopen() fail, before
    we try to fwrite() to a null FILE pointer.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 249695649bb25f500d1525f655ca317428ea6044
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 21 14:46:24 2013 -0700

    Fix genererate typo in bmtoa error messages
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7b5ba88d06ca88e11a8127d12f3d7685a473684e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 20 23:16:46 2013 -0800

    Combine usage messages into a single string
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0d42abaefc427f7c354f4cff3d098775df5c9cb4
Author: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>
Date:   Sat Sep 22 19:46:01 2012 -0400

    bitmap.man:  Fix some typos.
    
    Remove stray backslash.
    (Added sometime between X11R4 and X11R5; 21+ years old.)
    
    Use two spaces between sentences, not one or two or three.
    
    Signed-off-by: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 53d99608451ade88d59d8baae6fc543d6922fb0a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 29 23:22:35 2012 -0700

    Fix pixmap leak in error paths of BWGetUnzoomedPixmap
    
    Found by Parfait 0.5.0.1 bug checking tool:
       Leaked X Resource pix
            at line 393 of Bitmap.c in function 'BWGetUnzoomedPixmap'.
              pix initialized at line 388 with XCreatePixmap(...).
            at line 414 of Bitmap.c in function 'BWGetUnzoomedPixmap'.
              pix initialized at line 409 with XCreatePixmap(...).
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a7909448b89f42ad0bb4834e347e6d3ecb20d7da
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Mar 8 21:40:10 2012 -0800

    bitmap 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 67ab447959b62454f4e0273177baa19711babb96
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 20 21:47:56 2011 -0800

    Use lrint() from math library if available
    
    Moves -lm from being hardcoded in Makefile.am to being added via
    AC_SEARCH_LIBS in configure.ac setting it in $(MATH_LIBS)
    
    Using lrint() [returns long int] instead of rint() [returns double]
    clears a bunch of gcc warnings of the form:
    "cast from function call of type ‘double’ to non-matching type ‘short int’"
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1c2b70d13c42f5461a2d7c3cae7adf8d9b2e3cea
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 14 22:48:31 2011 -0700

    Constify strings in atobm
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3fc1a649f1e81c4d93c6e00119267208877a8f02
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 14 22:38:44 2011 -0700

    Constify strings in bmtoa
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a8ee8e937e8d939522f18fa5723afea084221467
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 14 21:25:06 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 64eacd3665306283d126d0df7cf63a071e576c38
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 14 21:22:26 2011 -0700

    Constify filename string handling
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ca7bf97b6e83b25e7142b321e5f2325b1e47c2d0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 14 21:03:48 2011 -0700

    Add const to char * in BWRequest typedef
    
    Fixes many gcc --Wwrite-string warnings of the form:
    
    Bitmap.c: In function ‘BWTPaste’:
    Bitmap.c:1913:7: warning: passing argument 2 of ‘BWEngageRequest’ discards qualifiers from pointer target type
    Bitmap.h:190:16: note: expected ‘BWRequest’ but argument is of type ‘const char *’
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6e997556a17a1b4a9d6773602af770b9e9f3751e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Mar 4 20:44:37 2011 -0500

    man: use correct section number when referring to X
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 98e43d4e49c599fc633b4bb9c58d99abbdd0068a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Feb 17 23:38:40 2011 -0800

    atobm only depends on xproto, not x11
    
    It only includes <X11/Xos.h>, no headers or functions from libX11.
    Due to a typo in Makefile.am (also fixed) it wasn't actually linking
    with libX11 even though it had x11 in its PKG_CHECK_MODULES list.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b3f10a08922f568b7cbc791354cf0d4267cd88c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 15 10:19:20 2011 -0800

    Use autoconf standard HAVE_MKSTEMP define instead of old imake HAS_MKSTEMP
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ff81a4e4e894915bb6b8aece8314ca1a854140a4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 15 10:16:17 2011 -0800

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2afe9a69417cbd25fc5379faf22eba1a8e94b348
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 14 14:05:14 2011 -0800

    Use fputs instead of fprintf with no format arg to print usage message.
    
    Clear gcc warning of:
    BitEdit.c:986: warning: format not a string literal and no format arguments
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>

commit fcfa5f0dee6549994d8c4640fb61612d33369e74
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 14 14:00:30 2011 -0800

    Call snprintf() directly instead of XmuSnprintf()
    
    All platforms still supported by X.Org have long had snprintf()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e3ecaf24ea4187516a1a0679783278e34e56499f
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Sat Jan 8 20:15:50 2011 -0500

    Remove unused, leaky scanline.
    
    The pointer, scanline, doesn't appear to be used anymore, and is
    leaking memory.
    
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f705edec1b9aa80d3b93f587048ad33887aca5b6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:01 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 0a2eef9a48863dde8b3c7f60f5eb3b9a667fa505
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:49 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 38f9d56ce050baabc72254240df875a3450f798e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:10:21 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2fee85a59998a805ca8161606c5c32953f02f659
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:54:40 2011 -0500

    config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
    
    It depends on util-macros 1.8 or later
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 99be515efe95cb3eb4bcb29b2bc194f416b31758
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Oct 7 20:04:23 2010 -0700

    bitmap 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit de28fe485f07bb9f5a326fb9fed87a3aa8a8f1b5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 824fa229593040c2d8a795dadc359aa313fd182d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 9 20:26:12 2010 -0400

    Remove unused file bitmap.icon
    
    The file originally came with the the rest of the source in 2003
    Two years later it was added to EXTRA_DIST without explanantion
    It has never been installed and is not present in Debian distro
    It's not used during configuration and not used by the build.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3216eaa1b5bbb7ce5038caf9fbf22ae248eba1b6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 9 17:37:04 2010 -0400

    man: remove whitespace as per git diff --check
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 18cf79ac73c59829603cd56a04ab3b79a4a6a3c3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 9 17:24:30 2010 -0400

    make: reshuffle lines and shorten the makefile
    
    The previous patch did some aesthetic damage to it.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7c55725e4eaf2296d4ea047a155d0ec7bc4976fd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 9 16:30:19 2010 -0400

    config: simplify building of shadow man pages
    
    Store the shadow files in git as any other man page.
    Move man pages to man dir and use the common makefile
    
    Local fix for bug 5628 in commit
    d8f719a352cd4d4ace60566b73a077175940a351
    is not required as the problem has been fixed in
    util-macros d9062e4077ebfd0985baf8418f3d0f111b9ddbba
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 85b1eda6ac104850add5a98fc4caca7f59d7cb19
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Aug 8 10:15:51 2010 -0400

    config: merge BITMAP dependencies into one statement
    
    PKG_CHECK_MODULES will merge -I and lib directives.
    It will also AC_SUBST BITMAP_CFLAGS and BITMAP_LIBS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d4de9e32fd109562a31609b338843b396c848995
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 1 16:05:01 2010 -0700

    bitmap calls Xmu functions directly so should include in PKG_CHECK_MODULES
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5eb2fe08c0210ae110ae75ac52ed6a8db298c178
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 30 23:25:03 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use automake provided $(AM_V_GEN) and XORG_DEFAULT_OPTIONS provided $(SED)
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8aa8f77d4570a0a5030ec825bc8785ac03079267
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Dec 19 20:48:47 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5fae54a562f9dcb4b9c5e5a21c604e9a2ef924b7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:52 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 7077c21c0803ac7ff56edba75bfa4e18949e0ae7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:07 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit dbbb35c25e8e0159b09a6756a143ac43720fe41a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:24 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit b14f17671753e5c9c393fd1e972da93d8d94a366
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:37 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 8218cc8ac7e6763c068ad0cbae81c07de899ca62
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:14 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 05b524c70ec06d18ca1d305c98bcd480e2482eb2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 27 16:09:14 2009 -0400

    Makefile.am: do not include autogen.sh in distribution #24183
    
    This is a private build script that should not be distributed

commit 7c4c903a1612528e09858554c6fdaab05d2ba095
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 22 19:49:57 2009 -0700

    bitmap 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 4abbf05633f16cae587f9f24881d18c22e43800d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 22 19:39:08 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit fb4778c1a6a114df03f3cefc87e747fab983355f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 22 19:30:35 2009 -0700

    Strip RCS/CVS ids
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 948a119b19bf2e1822c63c2e6e86482e36df0cc0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 22 19:25:04 2009 -0700

    Fill in COPYING, README, & AUTHORS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 8337c277db59b5fb8e13428ab65a43725546bcdb
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jan 13 14:29:53 2009 -0200

    Rename app-defaults files to match "pattern" used on other applications.

commit e23fbaa033e064efc7fcfa6ec49901c241736340
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 12 16:11:00 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, and corrects
    make distcheck.

commit 7527b67979d61609bff5bc8c54d2b11874a7bbfa
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Aug 20 10:32:48 2008 -0400

    xaw8 is gone, use xaw7

commit 3dc6744ae0332efc9c4a621401c1257e4d4c3c6d
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri May 16 14:22:16 2008 +0200

    $(builddir) is the current directory
    
    Apparently automake doesn't always export the builddir variable.
    This fixes my previous commit.

commit 3154399310460759466d66cb17e723548e205776
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Apr 20 19:25:40 2008 +0200

    Fix build with builddir != srcdir

commit 5d6bff83b62c3c9626503b36d2e5190a602bf43b
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Apr 20 19:22:40 2008 +0200

    Fix typo in bitmap.man

commit 8003d22d2c12fe47d1fc06216c60dc813ed39f98
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Mar 27 19:22:22 2008 -0700

    Build fix for case-insensitive file systems

commit 088006f9bb62db2523117dac568d028bd96db488
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:03 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit d79bd0857961669aff4c155f4c3205af4c89b18e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 15:47:13 2007 -0700

    Add AM_PROG_CC_C_O to configure.ac to make automake-1.10 happier
    
    Makefile.am:53: compiling `atobm.c' with per-target flags requires `AM_PROG_CC_C_O' in `configure.ac'

commit 0fa2f5aa4b0e62ceb4685123182bf018c27e293a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jan 23 13:42:25 2007 -0800

    Version bump: 1.0.3

commit 4d02bf25b4e64d0a3fb2270491d3dbe4fc18effc
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jan 23 13:42:01 2007 -0800

    Replace static changelog with dist-hook to generate from git log

commit 2c5045d72ee4120c52cfc7e008237a438a1c2d30
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jan 22 19:45:08 2007 -0800

    Remove on/off form of options from bitmap.man man page
    
    Turns out the previous formatting error that hid these was an attempt
    to comment them out since they aren't implemented, so we'll just delete them.

commit 5c1c01c8222eac13e9a65a36d3b953ae6f75ae6b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jan 2 14:37:42 2007 -0800

    renamed: .cvsignore -> .gitignore

commit ad55b1108f61ae0e3643bdffe430c71973d3d7ae
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Tue Jan 2 14:34:17 2007 -0800

    Bug 9511: Garbled macro invocation in bitmap.1x manual page.
    
    <https://bugs.freedesktop.org/show_bug.cgi?id=9511>

commit 3537d2121dcc68e3ecb93eaa2b341d759b0fbc88
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri May 12 16:19:54 2006 +0000

    Bump to 1.0.2

commit d8f719a352cd4d4ace60566b73a077175940a351
Author: Kevin E Martin <kem@kem.org>
Date:   Tue May 9 21:55:08 2006 +0000

    Bug #5628 <https://bugs.freedesktop.org/show_bug.cgi?id=5628> Shadow pages
        not created correctly when MANDIR & MANSUFFIX don't match.

commit 545a878fa367a32059b33a21b9253a69ed95ccf6
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:42 2005 +0000

    Update package version for X11R7 release.

commit 038d4cc67674fcecd638489625cedfdc57f4bcea
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:39 2005 +0000

    Stub COPYING files

commit ab8a9596b7c9729914b1444208521e939f35535f
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:01 2005 +0000

    Update package version number for final X11R7 release candidate.

commit d1ae6091d49c8af843e6895cb438225078a0f797
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 7 16:17:58 2005 +0000

    Change to use the app-defaults default dir configured in libXt.

commit 07cfe6f6de483aefcc18836fd3f03bdc5d6cd823
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:16 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.
